MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023547Open CASCADE[OCCT] OCCT:Testspublic2012-11-13 07:332017-10-04 11:20
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0023547: Tests failures in debug mode
DescriptionAbout 10 tests exhibit failure in debug mode on Windows (in my case built with VC9, 32-bit, run on Windows 7 64-bit) due to reporting floating point errors, out-of-range and other exceptions, and even crashes (like #23535).
Steps To Reproduceboolean bsection N4 N6 N7
bugs demo CR23416
bugs modalg CR23429
chamfer equal_dist_sequence A5
heal split_angle_advanced H5
heal split_continuity_advanced W6
heal surface_to_revolution_advanced W6 Y5
offset faces_type_i E8 J7 M5 M7
offset shape_type_i C6 F6 G6
offset wire_closed_outside_0_005 D3
offset wire_closed_outside_0_025 D3
offset wire_closed_outside_0_075 D3
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023695closedbugmaster Open CASCADE Incorrect behavior some tests in Debug or Release mode 
related to 0024121closedbugmaster Open CASCADE It's necessary to add TODO in test cases to avoid known regressions in debug mode 
parent of 0023615closedomy Open CASCADE Wrong parameter value calculating in ShapeAnalysis_Curve 
parent of 0023627closedabv Open CASCADE Standard_OutOfRange in TopOpeBRep_FacesIntersector 
parent of 0023681closedbugmaster Open CASCADE TopoDS_Iterator: incorrect processing of subshapes of shapes with EXTERNAL or INTERNAL orientation. 
parent of 0025194closedbugmaster Open CASCADE It is necessary to orthogonalize transformation matrix in gp_Trsf and gp_Trsf2d classes 
has duplicate 0011867closedabv Open CASCADE Differences in optimized and debug version. 
related to 0023604closedomy Open CASCADE Uninitialized variables in debug mode 
related to 0023748closednbv Open CASCADE Bad monitoring of intermediate results in offset commands 
related to 0025275closedbugmaster Open CASCADE Different result of reading operation from *.igs and *.stp file for WINDOWS and LINUX platforms 
related to 0025277closedapn Open CASCADE Diferent interpretation result for WINDOWS and LINUX platform 

-  Notes
(0022396)
abv (manager)
2012-11-27 15:37

For failure of bugs demo CR23416, specific issue exists: #23535
(0022446)
abv (manager)
2012-11-29 15:27

Test chamfer equal_dist_sequence A5 fails due to uninitialized variables in Debug mode, separate issue 0023604 is created for this problem
(0022501)
abv (manager)
2012-12-03 07:50

Tested on IR-2012-12-02 with fix on 0023604 and 0023546:

chamfer equal_dist_sequence A5: OK

new regression (apart of those present in Release due to IR-2012-12-02 changes):

bugs caf bug23489 (memory leak)
(0022543)
omy (developer)
2012-12-04 16:32
edited on: 2012-12-06 09:35

Problems with tests:
heal split_continuity_advanced W6
heal surface_to_revolution_advanced W6 Y5
are fixed in issue 0023615

(0022626)
nbv (developer)
2012-12-07 15:49
edited on: 2012-12-07 16:34

Problem with
           bugs demo CR23416
is liquidated by changes described in #23535.

(0022674)
nbv (developer)
2012-12-12 12:38
edited on: 2012-12-12 16:09

Same problem is detected with tests

bugs iges bug133_6
heal fix_face_size B5
Test heal surface_to_bspline A2 A6 A7 A9 B1 B2 B3 B5 B7 B8 B9 C1 C5 C6 C7 D1 D2 D3 D4 D5 D6 D7 D8 E2 E3 E5 E7 E8 E9 F1 F2 F4 F5 F7 F8 G2
heal split_angle_advanced H5

(0022715)
abv (manager)
2012-12-16 08:59

New case found on recently integrated tests: bugs modalg buc60744, see 0023627
(0022915)
nbv (developer)
2013-01-09 09:40
edited on: 2013-01-09 09:42

boolean bsection N4 N6 N7 are fixed.
bugs demo CR23416 is fixed.

offset faces_type_i E8 J7 M5 M7
offset shape_type_i C6 F6 G6
There is instability. In DEBUG mode it works with varied success. But all right in RELEASE mode. It needs to fix.

offset wire_closed_outside_0_005 D3
offset wire_closed_outside_0_025 D3
offset wire_closed_outside_0_075 D3
are fixed.

CR23547 is pushed.

(0022927)
nbv (developer)
2013-01-10 12:33

offset faces_type_i B2 M5 M7
offset shape_type_i C6 F6 G6

Different behavior in Debug and Release modes.
(0022951)
abv (manager)
2013-01-13 08:58

Additional failures on recently added tests, to consider:

  bugs iges bug133_6: debug output " Exception in IGESToBRep_BasicCurve::TransferBasicCurve"
  bugs modalg bug770: CPU limit
  bugs modalg bug827_1: exception
  bugs xde bug810: debug output "Warning: ShapeFix_Edge: Exception in SameParameter"
(0024164)
nbv (developer)
2013-04-16 16:06

boolean bsection N4 N6 N7 are fixed.

bugs demo CR23416 is fixed.

offset wire_closed_outside_0_005 D3
offset wire_closed_outside_0_025 D3
offset wire_closed_outside_0_075 D3
are fixed.

offset faces_type_i M5 M7
offset shape_type_i C6 F6 G6
are fixed.

There is an unstable work in following test’s cases:
   offset faces_type_i B2 B8 C4

Final branch is CR23748_5 (See bug 0023748).
(0026356)
nbv (developer)
2013-10-30 10:42
edited on: 2013-10-30 10:47

I have just tested all cases in MASTER on my computer and have got only one difference between results in DEBUG and RELEASE modes: Test de iges_2 H9.

Main distinction is (for this test case):
In DEBUG mode:
...
Error : 4 differences with reference data found :

 Reference data - CHECKSHAPE : Wires = 1 ( 1 ) Faces = 2 ( 1 ) Shells = 0 ( 0 ) Solids = 0 ( 0 )
 Current data - CHECKSHAPE : Wires = 2 ( 2 ) Faces = 3 ( 2 ) Shells = 0 ( 0 ) Solids = 0 ( 0 )
----------------------------------------------
 Reference data - NBSHAPES : Solid = 0 ( 0 ) Shell = 0 ( 0 ) Face = 1627 ( 1627 ) Summary = 39249 ( 39256 )
 Current data - NBSHAPES : Solid = 0 ( 0 ) Shell = 0 ( 0 ) Face = 1628 ( 1628 ) Summary = 39269 ( 39276 )
----------------------------------------------
 Reference data - STATSHAPE : Solid = 0 ( 0 ) Shell = 0 ( 0 ) Face = 1627 ( 1627 ) FreeWire = 22 ( 26 ) FreeEdge = 135 ( 135 ) SharedEdge = 17934 ( 17935 )
 Current data - STATSHAPE : Solid = 0 ( 0 ) Shell = 0 ( 0 ) Face = 1628 ( 1628 ) FreeWire = 22 ( 26 ) FreeEdge = 135 ( 135 ) SharedEdge = 17943 ( 17944 )
----------------------------------------------
 Reference data - LABELS : N0Labels = 6 ( 6 ) N1Labels = 1642 ( 9638 ) N2Labels = 0 ( 0 ) TotalLabels = 1648 ( 9644 ) NameLabels = 1648 ( 2887 ) ColorLabels = 1644 ( 9643 ) LayerLabels = 488 ( 3995 )
 Current data - LABELS : N0Labels = 6 ( 6 ) N1Labels = 1643 ( 9640 ) N2Labels = 0 ( 0 ) TotalLabels = 1649 ( 9646 ) NameLabels = 1649 ( 2889 ) ColorLabels = 1645 ( 9645 ) LayerLabels = 489 ( 3997 )
----------------------------------------------

...

In RELEASE mode:
...
Error : 5 differences with reference data found :
 Reference data - CHECKSHAPE : Wires = 1 ( 1 ) Faces = 2 ( 1 ) Shells = 0 ( 0 ) Solids = 0 ( 0 )
 Current data - CHECKSHAPE : Wires = 2 ( 2 ) Faces = 2 ( 2 ) Shells = 0 ( 0 ) Solids = 0 ( 0 )
----------------------------------------------
 Reference data - NBSHAPES : Solid = 0 ( 0 ) Shell = 0 ( 0 ) Face = 1627 ( 1627 ) Summary = 39249 ( 39256 )
 Current data - NBSHAPES : Solid = 0 ( 0 ) Shell = 0 ( 0 ) Face = 1628 ( 1628 ) Summary = 39247 ( 39279 )
----------------------------------------------
 Reference data - STATSHAPE : Solid = 0 ( 0 ) Shell = 0 ( 0 ) Face = 1627 ( 1627 ) FreeWire = 22 ( 26 ) FreeEdge = 135 ( 135 ) SharedEdge = 17934 ( 17935 )
 Current data - STATSHAPE : Solid = 0 ( 0 ) Shell = 0 ( 0 ) Face = 1628 ( 1628 ) FreeWire = 22 ( 26 ) FreeEdge = 135 ( 135 ) SharedEdge = 17946 ( 17949 )
----------------------------------------------
 Reference data - TOLERANCE : MaxTol = 1.006358009 ( 992.8187669 ) AvgTol = 0.0004486174686 ( 0.3174663359 )
 Current data - TOLERANCE : MaxTol = 4.337400808e+088 ( 8.082392835e+086 ) AvgTol = 2.04035855e+085 ( 5.098849866e+083 )
----------------------------------------------
 Reference data - LABELS : N0Labels = 6 ( 6 ) N1Labels = 1642 ( 9638 ) N2Labels = 0 ( 0 ) TotalLabels = 1648 ( 9644 ) NameLabels = 1648 ( 2887 ) ColorLabels = 1644 ( 9643 ) LayerLabels = 488 ( 3995 )
 Current data - LABELS : N0Labels = 6 ( 6 ) N1Labels = 1643 ( 9640 ) N2Labels = 0 ( 0 ) TotalLabels = 1649 ( 9646 ) NameLabels = 1649 ( 2889 ) ColorLabels = 1645 ( 9645 ) LayerLabels = 489 ( 3997 )
----------------------------------------------

--------------------------------------------------------------------
...




I.e. in RELEASE mode we have 5 differences, in DEBUG mode we have 4 only. Work in DEBUG mode is better, than RELEASE.

Maybe, we can close this bug and given problem we will consider as KNOWN and on this case we should make additional bug?

(0026415)
ifv (developer)
2013-11-01 11:14

Dear BUGMASTER I suggest to compare tests in DEBUG and RELEASE modes and close this bug, if all is Ok.
(0026437)
abv (manager)
2013-11-04 07:49

It is not OK. The tests do not show differences between Debug and release just because the Debug problems have been added in TODO statements, see 0024121.

Run this command to find the tests that (likely) show deviations in Debug mode:

occt> grep -i debug_ tests/*/*/*

You will see 100+ places where problem in Debug mode is covered by TODO.
Many of them are just because of extra debug messages, but some look like real bugs, e.g. raising exceptions in offset and bugs modalg_5
(0031693)
git (administrator)
2014-09-15 11:21

Branch CR23547 has been updated forcibly by nbv.

SHA-1: 35e5cb3165185d873bb4164c9f8430c113a2a71c
(0031826)
git (administrator)
2014-09-17 17:42

Branch CR23547 has been updated forcibly by nbv.

SHA-1: 26ccaab2f6d36a52e3610efabd8c0c573434a0b4
(0031848)
git (administrator)
2014-09-18 11:13

Branch CR23547 has been updated forcibly by nbv.

SHA-1: 39defdd0836d79da4d26d4bbc850c988a4889f33
(0031880)
git (administrator)
2014-09-18 17:58

Branch CR23547 has been updated forcibly by nbv.

SHA-1: ff333587581ac913d95e1457328169fa787e92d9
(0031979)
git (administrator)
2014-09-23 10:09

Branch CR23547 has been updated forcibly by nbv.

SHA-1: a54792fd26fcce3c14e1d6fb00aaf81e7d362965
(0032087)
git (administrator)
2014-09-24 14:05

Branch CR23547 has been updated forcibly by nbv.

SHA-1: a07447983ee3363b04eeee2f25e2d60a26b0a0ba
(0032102)
git (administrator)
2014-09-24 17:34

Branch CR23547 has been updated forcibly by nbv.

SHA-1: a88c6747123fe57f99b0bf19dd268270e3b672ba
(0032112)
git (administrator)
2014-09-25 10:35

Branch CR23547 has been updated forcibly by nbv.

SHA-1: 5ae42092cbd8094bb2ad07e2525da6860361d65a
(0032133)
git (administrator)
2014-09-25 13:19

Branch CR23547_1 has been updated forcibly by nbv.

SHA-1: 1fa6a1ba79dcaa2ae3c0fc8f56cbbc4fbbce93e7
(0032211)
git (administrator)
2014-09-26 11:53

Branch CR23547 has been updated forcibly by nbv.

SHA-1: 0d321664a81924bcc37a5d395adebccf6ea51aca
(0032216)
git (administrator)
2014-09-26 12:21

Branch CR23547 has been updated forcibly by nbv.

SHA-1: 2c7a47515a6093f5d4e86dbae4cf320a0005095b
(0032246)
git (administrator)
2014-09-26 15:37

Branch CR23547 has been updated forcibly by nbv.

SHA-1: b53e1d0a8b13bd3dfd4c05a5b311153d730407d5
(0032257)
git (administrator)
2014-09-26 16:49

Branch CR23547 has been updated forcibly by nbv.

SHA-1: 177b2c23f3fb83d9214c33f6d1d2a80d6433357e
(0032300)
nbv (developer)
2014-09-29 15:13

CR23547 is ready to review.
(0032301)
ifv (developer)
2014-09-29 15:31

Ok
(0032308)
git (administrator)
2014-09-29 16:04

Branch CR23547 has been updated forcibly by apv.

SHA-1: ce51b78e926babe393f522730f3e287a80ee288d
(0032456)
git (administrator)
2014-09-30 14:43

Branch CR23547 has been updated by apv.

SHA-1: 41d6cacc7d321f46a10704950b05b09cda74ecfd


Detailed log of new commits:

Author: apv
Date: Tue Sep 30 14:42:56 2014 +0400

    Small correction of test-case offset faces_type_i C9

(0032459)
apv (tester)
2014-09-30 14:56
edited on: 2014-10-02 14:15

Dear BugMaster,

Branch CR23547 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 41d6cacc7d321f46a10704950b05b09cda74ecfd

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
   MacOS: 196 (196 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 3 (3 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 397637164 / 397544784
Total CPU difference: 48586.070000000094 / 46233.79000000002

Testing on Windows:
Total MEMORY difference: 254990712 / 279157396
Total CPU difference: 32653.765625 / 39124.25

There are differences in images found by testdiff:
http://occt-tests/CR23547-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR23547-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]

(0033462)
git (administrator)
2014-10-21 16:44

Branch CR23547 has been deleted by inv.

SHA-1: 41d6cacc7d321f46a10704950b05b09cda74ecfd
(0033473)
git (administrator)
2014-10-21 16:44

Branch CR23547_1 has been deleted by inv.

SHA-1: 1fa6a1ba79dcaa2ae3c0fc8f56cbbc4fbbce93e7

- Related Changesets
occt: master 9e20ed57
Timestamp: 2014-09-26 11:32:46
Author: abv
Committer: abv
Details ] Diff ]
0023547: Tests failures in debug mode

1. DRAW-commands for curve/surface continuity returning were changed.
2. Output of "distmini" DRAW-command is amended.
3. Function MinMax() was moved from Standard_Real to IntPatch_ImpImpIntersection_4.gxx.
4. Incorrect computing of nbcurveC1 in Geom2dConvert::C0BSplineToC1BSplineCurve(...) function was liquidated.

Test cases were changed.
mod - src/BRepBuilderAPI/BRepBuilderAPI_Sewing.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Wire.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Sweep.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_ExtremaCommands.cxx Diff ] File ]
mod - src/Geom2dConvert/Geom2dConvert.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_CurveCommands.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_SurfaceCommands.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Hider.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpImpIntersection_4.gxx Diff ] File ]
mod - src/Standard/Standard_Real.hxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Writer.cxx Diff ] File ]
mod - src/StepToGeom/StepToGeom_MakeSurface.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_WireframeBuilder.cxx Diff ] File ]
mod - tests/blend/parse.rules Diff ] File ]
mod - tests/boolean/bopcommon_complex/D8 Diff ] File ]
mod - tests/boolean/bopcommon_complex/D9 Diff ] File ]
mod - tests/boolean/bopcut_complex/E1 Diff ] File ]
mod - tests/boolean/bopcut_complex/E2 Diff ] File ]
mod - tests/boolean/bopfuse_complex/C9 Diff ] File ]
mod - tests/boolean/bopfuse_complex/D1 Diff ] File ]
mod - tests/boolean/bopfuse_complex/E5 Diff ] File ]
mod - tests/boolean/bsection/N5 Diff ] File ]
mod - tests/boolean/bsection/N6 Diff ] File ]
mod - tests/bugs/heal/bug23944 Diff ] File ]
mod - tests/bugs/heal/bug24 Diff ] File ]
mod - tests/bugs/iges/bug131_8 Diff ] File ]
mod - tests/bugs/iges/bug133_6 Diff ] File ]
mod - tests/bugs/modalg_4/bug827_1 Diff ] File ]
mod - tests/bugs/modalg_4/bug8842_16 Diff ] File ]
mod - tests/bugs/modalg_4/bug8842_8 Diff ] File ]
mod - tests/bugs/modalg_5/bug23906 Diff ] File ]
mod - tests/bugs/moddata_1/bug11081_1 Diff ] File ]
mod - tests/bugs/moddata_1/bug11081_2 Diff ] File ]
mod - tests/bugs/moddata_1/bug20683 Diff ] File ]
mod - tests/bugs/moddata_3/bug599 Diff ] File ]
mod - tests/bugs/parse.rules Diff ] File ]
mod - tests/bugs/vis/bug23813 Diff ] File ]
mod - tests/bugs/xde/bug24759 Diff ] File ]
mod - tests/bugs/xde/bug394 Diff ] File ]
mod - tests/bugs/xde/bug810 Diff ] File ]
mod - tests/bugs/xde/bug810_1 Diff ] File ]
mod - tests/chamfer/parse.rules Diff ] File ]
mod - tests/de/iges_3/A3 Diff ] File ]
mod - tests/de/iges_3/A7 Diff ] File ]
mod - tests/de/step_1/D1 Diff ] File ]
mod - tests/de/step_1/E6 Diff ] File ]
mod - tests/de/step_1/F9 Diff ] File ]
mod - tests/de/step_1/G2 Diff ] File ]
mod - tests/de/step_1/G3 Diff ] File ]
mod - tests/de/step_1/G5 Diff ] File ]
mod - tests/de/step_1/G6 Diff ] File ]
mod - tests/de/step_1/G7 Diff ] File ]
mod - tests/de/step_1/ZF7 Diff ] File ]
mod - tests/de/step_1/ZG2 Diff ] File ]
mod - tests/de/step_1/ZH7 Diff ] File ]
mod - tests/de/step_2/A5 Diff ] File ]
mod - tests/de/step_2/D9 Diff ] File ]
mod - tests/de/step_2/E1 Diff ] File ]
mod - tests/de/step_2/E7 Diff ] File ]
mod - tests/de/step_2/E9 Diff ] File ]
mod - tests/de/step_2/F2 Diff ] File ]
mod - tests/de/step_2/F3 Diff ] File ]
mod - tests/demo/parse.rules Diff ] File ]
mod - tests/fillet2d/parse.rules Diff ] File ]
mod - tests/heal/data/advanced/H5 Diff ] File ]
mod - tests/heal/data/advanced/W8 Diff ] File ]
mod - tests/heal/data/advanced/Y3 Diff ] File ]
mod - tests/heal/data/advanced/Y4 Diff ] File ]
mod - tests/heal/data/advanced/Z4 Diff ] File ]
mod - tests/heal/data/advanced/ZB5 Diff ] File ]
mod - tests/heal/data/advanced/ZE8 Diff ] File ]
mod - tests/heal/data/advanced/ZE9 Diff ] File ]
mod - tests/heal/parse.rules Diff ] File ]
rm - tests/mesh/parse.rules Diff ] File ]
mod - tests/offset/faces_type_i/C9 Diff ] File ]
mod - tests/offset/parse.rules Diff ] File ]
mod - tests/offset/wire_closed_inside_0_025/D1 Diff ] File ]
mod - tests/parse.rules Diff ] File ]
mod - tests/pipe/parse.rules Diff ] File ]
mod - tests/thrusection/parse.rules Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-13 07:33 abv New Issue
2012-11-13 07:33 abv Assigned To => mkv
2012-11-13 16:07 abv Assigned To mkv => gka
2012-11-13 16:07 abv Status new => assigned
2012-11-22 15:05 abv Assigned To gka => nbv
2012-11-23 13:19 abv Assigned To nbv => omy
2012-11-27 15:34 abv Relationship added parent of 0023535
2012-11-27 15:37 abv Note Added: 0022396
2012-11-29 15:02 omy Relationship added related to 0023604
2012-11-29 15:27 abv Note Added: 0022446
2012-12-03 07:50 abv Note Added: 0022501
2012-12-04 15:49 omy Relationship added parent of 0023615
2012-12-04 16:17 nbv Note Added: 0022542
2012-12-04 16:32 omy Note Added: 0022543
2012-12-06 09:35 abv Note Edited: 0022543 View Revisions
2012-12-07 15:27 nbv Note Edited: 0022542 View Revisions
2012-12-07 15:27 nbv Note Edited: 0022542 View Revisions
2012-12-07 15:28 nbv Note Edited: 0022542 View Revisions
2012-12-07 15:42 nbv Note Edited: 0022542 View Revisions
2012-12-07 15:47 nbv Note Edited: 0022542 View Revisions
2012-12-07 15:47 nbv Note Edited: 0022542 View Revisions
2012-12-07 15:49 nbv Note Deleted: 0022542
2012-12-07 15:49 nbv Note Added: 0022626
2012-12-07 15:49 nbv Note Edited: 0022626 View Revisions
2012-12-07 16:34 nbv Note Edited: 0022626 View Revisions
2012-12-12 12:38 nbv Note Added: 0022674
2012-12-12 16:09 nbv Note Edited: 0022674 View Revisions
2012-12-16 08:58 abv Relationship added parent of 0023627
2012-12-16 08:59 abv Note Added: 0022715
2013-01-09 09:39 nbv Assigned To omy => jgv
2013-01-09 09:40 nbv Note Added: 0022915
2013-01-09 09:42 nbv Note Edited: 0022915 View Revisions
2013-01-09 18:09 nbv Status assigned => resolved
2013-01-10 12:33 nbv Note Added: 0022927
2013-01-10 14:19 nbv Relationship added related to 0023695
2013-01-10 18:42 abv Assigned To jgv => nbv
2013-01-10 18:42 abv Status resolved => assigned
2013-01-13 08:58 abv Note Added: 0022951
2013-01-17 10:12 omy Relationship added parent of 0023681
2013-02-08 14:26 nbv Relationship added related to 0023748
2013-04-10 06:59 abv Target Version 6.6.0 => 6.7.0
2013-04-16 16:06 nbv Note Added: 0024164
2013-10-30 10:42 nbv Note Added: 0026356
2013-10-30 10:42 nbv Status assigned => resolved
2013-10-30 10:47 nbv Note Edited: 0026356 View Revisions
2013-11-01 09:08 nbv Assigned To nbv => abv
2013-11-01 09:09 nbv Assigned To abv => ifv
2013-11-01 11:14 ifv Note Added: 0026415
2013-11-01 11:14 ifv Status resolved => reviewed
2013-11-04 07:49 abv Note Added: 0026437
2013-11-04 07:49 abv Assigned To ifv => nbv
2013-11-04 07:49 abv Status reviewed => assigned
2013-11-04 07:51 abv Relationship added related to 0024121
2013-12-21 10:13 abv Target Version 6.7.0 => 6.7.1
2014-04-04 18:27 abv Target Version 6.7.1 => 6.8.0
2014-08-28 11:36 nbv Relationship added parent of 0025194
2014-09-01 09:32 nbv Relationship added parent of 0025014
2014-09-11 18:41 abv Relationship added related to 0025172
2014-09-15 11:21 git Note Added: 0031693
2014-09-17 17:42 git Note Added: 0031826
2014-09-18 11:13 git Note Added: 0031848
2014-09-18 17:58 git Note Added: 0031880
2014-09-23 10:09 git Note Added: 0031979
2014-09-24 14:05 git Note Added: 0032087
2014-09-24 17:34 git Note Added: 0032102
2014-09-25 10:35 git Note Added: 0032112
2014-09-25 13:19 git Note Added: 0032133
2014-09-26 11:04 nbv Relationship added related to 0025275
2014-09-26 11:53 git Note Added: 0032211
2014-09-26 12:16 nbv Relationship added related to 0025277
2014-09-26 12:21 git Note Added: 0032216
2014-09-26 15:37 git Note Added: 0032246
2014-09-26 16:49 git Note Added: 0032257
2014-09-29 15:13 nbv Note Added: 0032300
2014-09-29 15:13 nbv Assigned To nbv => ifv
2014-09-29 15:13 nbv Status assigned => resolved
2014-09-29 15:31 ifv Note Added: 0032301
2014-09-29 15:31 ifv Status resolved => reviewed
2014-09-29 15:41 apv Assigned To ifv => apv
2014-09-29 16:04 git Note Added: 0032308
2014-09-30 14:43 git Note Added: 0032456
2014-09-30 14:45 apv Test case number => Not needed
2014-09-30 14:56 apv Note Added: 0032459
2014-09-30 14:56 apv Assigned To apv => bugmaster
2014-09-30 14:56 apv Status reviewed => tested
2014-10-01 14:35 abv Relationship added related to 0025266
2014-10-02 14:15 bugmaster Note Edited: 0032459 View Revisions
2014-10-09 17:08 abv Relationship added has duplicate 0011867
2014-10-20 10:24 abv Changeset attached => occt master 9e20ed57
2014-10-20 10:24 abv Assigned To bugmaster => abv
2014-10-20 10:24 abv Status tested => verified
2014-10-20 10:24 abv Resolution open => fixed
2014-10-21 16:44 git Note Added: 0033462
2014-10-21 16:44 git Note Added: 0033473
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed
2017-10-04 11:20 kgv Relationship added related to 0029181


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker